package be.iminds.ilabt.jfed.rspec.model.imutable_impl;

import be.iminds.ilabt.jfed.rspec.model.IPv4;

public class ImmutableIPv4 implements IPv4 {
    private final String address;
    private final String netmask;

    public ImmutableIPv4(IPv4 orig) {
        this.address = orig.getAddress();
        this.netmask = orig.getNetmask();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        throw new UnsupportedOperationException();
    }

    public String getNetmask() {
        return netmask;
    }

    public void setNetmask(String netmask) {
        throw new UnsupportedOperationException();
    }
}
